<?xml version="1.0" encoding="utf-8" ?>
<oakxmlfile>
	<struct name="form">
		<!-- SHORT LINE-->
		<short name="maximum_units_per_short_line_row" />
		<short_world name="short_line_unit_separation" />
		<!-- LONG LINE-->
		<short name="maximum_units_per_long_line_row" />
		<short_world name="long_line_unit_separation" />
		<!-- LOOSE LINE-->
		<short name="maximum_units_per_loose_line_row" />
		<short_world name="loose_line_unit_separation" />
		<!-- STAGGERED LINE-->
		<short name="maximum_units_per_staggered_line_row" />
		<short_world name="staggered_line_unit_separation" />
		<!-- BOX-->
		<short_world name="box_unit_separation" />
		<!-- MOB-->
		<short_world name="minimum_mob_unit_separation" />
		<short_fixed name="mob_x_bias" />
		<!-- ENCIRCLEMENTS-->
		<short_world name="minimum_encirclement_radius" />
		<short_world name="encirclement_unit_separation" />
		<angle name="shallow_encirclement_arc_length" />
		<angle name="deep_encirclement_arc_length" />
		<!-- VANGUARD-->
		<short_world name="vanguard_front_row_separation" />
		<short_world name="vanguard_unit_separation" />
		<short_world name="vanguard_row_separation" />
		<!-- CIRCLE-->
		<short_world name="circle_unit_separation" />
		<padding count="2" />
	</struct>
	<structedit struct="form" layout="horizontal">
		<frame stretch="true" alignchildren="true">
			<frame text="Short Line" layout="table">
				<row>
					<label text="Max. Units Per Short Line Row:" />
					<item target="maximum_units_per_short_line_row" />
				</row>
				<row>
					<label text="Short Line Unit Separation:" />
					<item target="short_line_unit_separation" />
				</row>
			</frame>
			<frame text="Long Line" layout="table">
				<row>
					<label text="Max. Units Per Long Line Row:" />
					<item target="maximum_units_per_long_line_row" />
				</row>
				<row>
					<label text="Short Line Unit Separation:" />
					<item target="long_line_unit_separation" />
				</row>
			</frame>
			<frame text="Loose Line" layout="table">
				<row>
					<label text="Max. Units Per Loose Line Row:" />
					<item target="maximum_units_per_loose_line_row" />
				</row>
				<row>
					<label text="Loose Line Unit Separation:" />
					<item target="loose_line_unit_separation" />
				</row>
			</frame>
			<frame text="Staggered Line" layout="table">
				<row>
					<label text="Max. Units Per Staggered Line Row:" />
					<item target="maximum_units_per_staggered_line_row" />
				</row>
				<row>
					<label text="Staggered Line Unit Separation:" />
					<item target="staggered_line_unit_separation" />
				</row>
			</frame>
			<frame text="Box" layout="table">
				<row>
					<label text="Box Unit Separation:" />
					<item target="box_unit_separation" />
				</row>
			</frame>
		</frame>
		<frame stretch="true" alignchildren="true">
			<frame text="Mob" layout="table">
				<row>
					<label text="Mob Unit Separation:" />
					<item target="minimum_mob_unit_separation" />
				</row>
				<row>
					<label text="Mob X Bias:" />
					<item target="mob_x_bias" />
				</row>
			</frame>
			<frame text="Encirclements" layout="table">
				<row>
					<label text="Minimum Encirclement Radius:" />
					<item target="minimum_encirclement_radius" />
				</row>
				<row>
					<label text="Encirclement Unit Separation:" />
					<item target="encirclement_unit_separation" />
				</row>
				<row>
					<label text="Shallow Encirclement Arc Length:" />
					<item target="shallow_encirclement_arc_length" />
				</row>
				<row>
					<label text="Deep Encirclement Arc Length:" />
					<item target="deep_encirclement_arc_length" />
				</row>
			</frame>
			<frame text="Vanguard" layout="table">
				<row>
					<label text="Vanguard Front Row Separation:" />
					<item target="vanguard_front_row_separation" />
				</row>
				<row>
					<label text="Vanguard Unit Separation:" />
					<item target="vanguard_unit_separation" />
				</row>
				<row>
					<label text="Vanguard Row Separation:" />
					<item target="vanguard_row_separation" />
				</row>
			</frame>
			<frame text="Circle" layout="table">
				<row>
					<label text="Circle Unit Separation:" />
					<item target="circle_unit_separation" />
				</row>
			</frame>
		</frame>
	</structedit>
</oakxmlfile>